Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.aop.defaults
Class AbstractPointcutsFactory

    java.lang.Object
      org.nanocontainer.aop.defaults.AbstractPointcutsFactory

All Implemented Interfaces:
  PointcutsFactory

Direct Known Subclasses:
  DynaopPointcutsFactory

    public abstract class AbstractPointcutsFactory

extends Object
implements PointcutsFactory

Provides implementations of pointcut factory methods not supplied by the 'back-end' (nanning, dynop, etc.).

Version:
  $Revision: 3144 $
Author:
  Stephen Molitor

Constructor Summary
`AbstractPointcutsFactory()`

Method Summary
`ComponentPointcut` | `component(Object componentKey)` Returns a component pointcut that picks one component key.
`ComponentPointcut` | `componentName(String regex)` Returns a component pointcut that matches component keys with a regular expression.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.nanocontainer.aop.PointcutsFactory
`allClasses, allMethods, className, declaringClass, getMethods, instancesOf, intersection, intersection, isMethods, membersOf, not, not, objectMethods, oneClass, oneMethod, packageName, returnType, setMethods, signature, union, union`

Constructor Detail

### AbstractPointcutsFactory

    public AbstractPointcutsFactory()

Method Detail

### component

    public ComponentPointcut component(Object componentKey)

  Description copied from interface: `PointcutsFactory`
  Returns a component pointcut that picks one component key.

  Specified by:
    `component` in interface `PointcutsFactory`
  Parameters:
    `componentKey` - the component key to match against.
  Returns:
    a `ComponentPointcut` that matches `componentKey`.

### componentName

    public ComponentPointcut componentName(String regex)

  Description copied from interface: `PointcutsFactory`
  Returns a component pointcut that matches component keys with a regular expression. The regular expression must be an ORO Perl5 compatible regular expression.

  Specified by:
    `componentName` in interface `PointcutsFactory`
  Parameters:
    `regex` - the regular expression to match against.
  Returns:
    a `ComponentPointcut` that matches the component key against `regex`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.